	****************************************************************************
	* Tibeb analysis and tables
	*                              									 
	* Do-file 														 				
	* Written by: 		Menaal Ebrahim				     		 	                          			 
	* Status: 			Work in Progress            			 
	* First created:				 
	****************************************************************************				  
	
	****************************************************************************
	*Define globals:
	****************************************************************************
	
	global chars 			age_bl post_secondary children_bl hhsize_bl head_bl w1_hh_income_bl ///
							w1_businesses_owned_bl digital_skills_bl services_bl trade_bl years_operation_bl	
							
	global chars_post 		age_bl children_bl hhsize_bl head_bl w1_hh_income_bl ///
							w1_businesses_owned_bl digital_skills_bl services_bl trade_bl years_operation_bl	
						
	global primary_bl		open_bl w5_mainbus_profits_bl w5_mainbus_revenues_bl 
	
	global secondary_bl		w1_mainbus_employees_bl w1_mainbus_hours_bl w1_mainbus_openhours_bl w1_mainbus_assets_bl ///
							mainbus_investment_bl buspractice_score_bl

	
	global takeup			course_attend course_attend_complete coursesstarted partial_full_complete courses_sessions_completed courses_comp_selfrep

	global surival			open own_business
	
	global profits			z_profits w5_mainbus_profits ihs_mainbus_profits w5_allbus_profits ihs_allbus_profits
							
	global sales 			w5_mainbus_revenues ihs_mainbus_revenues ihs_allbus_revenues 
							
	global primary_short	open z_profits w5_mainbus_profits w5_allbus_profits w5_mainbus_revenues w5_allbus_revenues
	
	global ihs				ihs_mainbus_profits ihs_allbus_profits ihs_mainbus_revenues ihs_allbus_revenues
							
	global inputs			z_inputs w1_mainbus_employees w1_mainbus_hours w1_mainbus_openhours 
	
	global capital			z_capital w1_mainbus_assets ihs_mainbus_assets mainbus_investment w1_investment_amt ihs_investment_amt 
	
	global practices		buspractice_score knowledge_score
	
	global knowledge		kn3_corr kn4_corr kn5_corr kn6_corr kn7_corr kn8_corr
	
	global practices 		mb39 mb40 mb41 mb42 mb43 mb44 mb46 mb47
	
	global other 			time_work time_care_whilework time_care discuss_ideas networking_score decision_maker
	
	global secondary_short 	z_inputs w1_mainbus_employees w1_mainbus_hours w1_mainbus_openhours ///
							z_capital w1_mainbus_assets mainbus_investment ///
							buspractice_score 
							
	global outcomes_int		open z_profits z_inputs z_capital buspractice_score
	
	global outcomes_match	open z_profits z_inputs z_capital buspractice_score knowledge_score

	
	global hetero 		services profitsmed digskillsmed
	
	
	//Predefine regression esttab options
	local esttaboptions  		replace stats(N mean p1_p2, labels("Observations" "Control mean" "P-val t1=t2") fmt(0 2 2 2)) booktabs b(2) se(2) eqlabels(none) label starlevels( * 0.10 ** 0.05 *** 0.01) substitute("0.0010" "0.01" "-0.00" "0.00")
	
	local esttaboptionsnopool  		replace stats(N mean p1_p2 p2_p3 p1_p3, labels("Observations" "Control mean" "P-val t1=t2" "P-val t2=t3" "P-val t1=t3") fmt(0 2 2 2 2 2)) booktabs b(2) se(2) eqlabels(none) label starlevels( * 0.10 ** 0.05 *** 0.01) substitute("0.0010" "0.01" "-0.00" "0.00")
	
	local esttaboptions_interaction  	replace stats(N mean p_t1_xt1 p_t2_xt2 p1x_p2x, labels("Observations" "Control mean" "P-val t1+Xt1" "P-val t2+Xt2" "P-val Xt1=Xt2") fmt(0 2 2 2 2)) booktabs b(2) se(2) eqlabels(none) label starlevels( * 0.10 ** 0.05 *** 0.01) ///
	substitute("0.0010" "0.01" "0.00" "0.01" "-0.00" "0.00") ///
	mgroups("\textbf{Survival}" "\textbf{Performance}" "\textbf{Inputs and Capital}" "\textbf{Practices and knowledge}" , pattern(1 1 1 0 1 0) ///
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
			mtitles("\makecell{\text{Business was operating} \\ {at follow-up} \\ {(Yes 1; No 0)}}" ///
					"\makecell{\text{Profits and sales} \\ {Index} \\ {(SD)}}" ///
					"\makecell{\text{Inputs}  \\ {Index} \\ {(SD)}}" ///
					"\makecell{\text{Capital}  \\ {Index} \\ {(SD)}}" ///
					"\makecell{\text{Business practice score} \\  {(Proportion)}}" ///
					"\makecell{\text{Knowledge score} \\  {(Proportion)}}" ) ///
					
	//Program to combine and stack esttab tables
	cap prog drop panelcombine
	prog define panelcombine
	qui {
	syntax, use(str asis) paneltitles(str asis) columncount(integer) save(str asis) [CLEANup]
	preserve

	tokenize `"`paneltitles'"'
	//read in loop
	local num 1
	while "``num''"~="" {
	local panel`num'title="``num''"
	local num=`num'+1
	}


	tokenize `use'
	//read in loop
	local num 1
	while "``num''"~="" {
	tempfile temp`num'
	insheet using "``num''", clear
	save `temp`num''
	local max = `num'
	local num=`num'+1
	}

	//conditional processing loop
	local num 1
	while "``num''"~="" {
	local panellabel : word `num' of `c(ALPHA)'
	use `temp`num'', clear
		if `num'==1 { //process first panel -- clip bottom
		drop if strpos(v1,"Note:")>0 | strpos(v1,"in parentheses")>0 | strpos(v1,"p<0")>0
		drop if v1=="\end{tabular}" | v1=="}"
		replace v1 = "\hline \multicolumn{`columncount'}{l}{ \linebreak \underline{`panel1title'}} \\" if v1=="\hline" & _n<8 
		replace v1 = "\hline" if v1=="\hline\hline" & _n>4 //this is intended to replace the bottom double line; more robust condition probably exists
		}

	save `temp`num'', replace
	local num=`num'+1
	}

	use `temp1',clear
	local num 2
	while "``num''"~="" {
	append using `temp`num''
	local num=`num'+1
	}

	outsheet using `save', noname replace noquote


		if "`cleanup'"!="" { //erasure loop
		tokenize `use'
		local num 1
			while "``num''"~="" {
			erase "``num''"
			local num=`num'+1
			}
		}

	restore
	}
	end
	

	****************************************************************************
	
	
								*MAIN PAPER TABLES 
	
	
	
	****************************************************************************
	****************************************************************************
	*Table A1. Comparing eligible IE and non-IE individuals
	*****************************************************************************
	use  "$data/elearning_bl_fu_indicators_screening.dta", clear	
	
	global application 				age_bl post_secondary english_bl employees_n managed_bus_5years ///
									internet_good_bl location preferred_elearning_bl
									
	iebaltab 		$application, ///
					grpvar(app_match) savetex("$tables/Table_A1_application_ttests.tex") ///
					stats(f(p)) replace nototal onerow ///
					format(%12.2fc) rowvarlabels ftest nonote 
	
	****************************************************************************
	use "$data/elearning_bl_fu_indicators.dta", clear
	****************************************************************************

	****************************************************************************
	*Table A2: Balance Check - four treatment arms
	****************************************************************************
	iebaltab 		$chars $primary_bl $secondary_bl , ///
					grpvar(treatment_group) savetex("$tables/Table_A2_balance_all4.tex") ///
					fix(rand_round) replace total starsnoadd /// 
					format(%12.2fc) rowvarlabels ftest feqtest nonote onerow ///
					stats(pair(p) f(p) feq(p))

					
	
	****************************************************************************
	*Table A3. Impacts on Training Attendance - with four treatment groups 
	****************************************************************************
	local 	j=												 1
	local 	i=												 1
	local 	a=												 1
	local 	num: 											 list sizeof global(takeup)
	display `num'
									
	foreach var in $takeup {	
	eststo	table`j'_`i': 					pdslasso `var' treat1 treat2 treat3 ///
											($chars $primary_bl $secondary_bl i.rand_round), ///
											partial(i.rand_round) robust
											
	test treat1=treat2
	local rp : di %5.4f `r(p)'
	if `rp'==0 {
	     estadd scalar p1_p2 0.01
	}
	else {
	estadd scalar p1_p2						`rp'
	}
	
	
	eststo table`j'_`i'
	sum 									`var' if treatment_group==4
	estadd scalar mean=						r(mean)
	eststo	table`j'_`i'
			
			
	local 	i=								 `i'+1
	local	a=								 `a'+1
	}	
	
	esttab 	table`j'_* using "$tables\Table_A3_Impacts_takeup_4g.tex",  ///
			replace stats(N mean p1_p2, labels("Observations" "Control mean" "P-val t1=t2") fmt(0 2 2)) ///
			booktabs b(2) se(2) eqlabels(none) label starlevels( * 0.10 ** 0.05 *** 0.01) substitute("0.0010" "0.01") ///
			mgroups("\textbf{Admin Data}" "\textbf{Self-reported}", pattern(1 0 0 0 0 1) ///
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
			mtitles( "\makecell{\text{Partial compliance} \\  {(at least 1 course)}}" ///
					 "\makecell{\text{Full compliance} \\  {(at least 8 courses)}}" ///
					 "\makecell{\text{App modules started}  \\ {or Training sessions attended}}" ///
					 "\makecell{\text{App modules partially completed}  \\ {or Training sessions attended}}" ///
					 "\makecell{\text{App modules completed} \\ {or Training sessions attended}}" ///
					 "\makecell{\text{App modules completed} \\ {or Training sessions attended}}") ///
			nonotes keep(treat*) 

	est drop *


	****************************************************************************
	*Table A4. Impact on Primary outcomes - with four treatment groups 
	****************************************************************************
	local 	j=												 1
	local 	i=												 1
	local 	a=												 1
	local 	num: 											 list sizeof global(primary_short)
	display `num'
									
	foreach var in $primary_short {	
	eststo	table`j'_`i': 					pdslasso `var'_fu treat1 treat2 treat3 ///	
											(`var'_bl $chars $primary_bl $secondary_bl i.rand_round) , ///
											partial(`var'_bl i.rand_round) robust
	
	test treat1=treat2
	estadd scalar p1_p2						r(p)
	eststo table`j'_`i'

	test treat1=treat3
	estadd scalar p1_p3						r(p)
	eststo table`j'_`i'

	test treat2=treat3
	estadd scalar p2_p3						r(p)
	eststo table`j'_`i'

	sum 									`var'_fu if treatment_group==4
	estadd scalar mean=						r(mean)
	eststo	table`j'_`i'
			
			
	local 	i=								 `i'+1
	local	a=								 `a'+1
	}	
	
	esttab 	table`j'_* using "$tables\Table_A4_Impacts_primary_4g.tex", ///
			replace stats(N mean p1_p2, labels("Observations" "Control mean" "P-val t1=t2") ///
			fmt(0 2 2 2)) booktabs b(2) se(2) eqlabels(none) label starlevels( * 0.10 ** 0.05 *** 0.01) ///
			substitute("0.0010" "0.01" "-0.00" "0.00") ///
			mgroups("\textbf{Survival}" "\textbf{Performance}" , pattern(1 1 0 0 0 0) ///
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
			mtitles( "\makecell{\text{Business was operating} \\ {at follow-up} \\ {(Yes 1; No 0)}}" ///
					 "\makecell{\text{Profits and sales} \\ {Index} \\ {(SD)}}" ///
					 "\makecell{\text{Last month's profit} \\ {Main business} \\ {(USD)}}" ///
					 "\makecell{\text{Last month's profit} \\ {Main and secondary business} \\ {(USD)}}" ///
					 "\makecell{\text{Last month's revenues}  \\ {Main business} \\ {(USD)}}" ///
					 "\makecell{\text{Last month's revenues}  \\ {Main and secondary business} \\ {(USD)}}") ///
			nonotes keep(treat*) 

	est drop *

	****************************************************************************
	*Table A5. Impact on Secondary outcomes - with four treatment groups  
	****************************************************************************
	local 	j=												 1
	local 	i=												 1
	local 	a=												 1
	local 	num: 											 list sizeof global(secondary_short)
	display `num'
									
	foreach var in $secondary_short {	
	eststo	table`j'_`i': 					pdslasso `var'_fu treat1 treat2 treat3 ///	
											(`var'_bl $chars $primary_bl $secondary_bl i.rand_round) , ///
											partial(`var'_bl i.rand_round) robust
	
	test treat1=treat2
	estadd scalar p1_p2						r(p)
	eststo table`j'_`i'

	test treat1=treat3
	estadd scalar p1_p3						r(p)
	eststo table`j'_`i'

	test treat2=treat3
	estadd scalar p2_p3						r(p)
	eststo table`j'_`i'
	
	sum 									`var'_fu if treatment_group==4
	estadd scalar mean=						r(mean)
	eststo	table`j'_`i'
			
			
	local 	i=								 `i'+1
	local	a=								 `a'+1
	}	
	
	eststo	table`j'_`i': 					pdslasso knowledge_score_fu treat1 treat2 treat3 ///	
											($chars $primary_bl $secondary_bl i.rand_round) , ///
											partial(i.rand_round) robust
	
	test treat1=treat2
	estadd scalar p1_p2						r(p)
	eststo table`j'_`i'

	test treat1=treat3
	estadd scalar p1_p3						r(p)
	eststo table`j'_`i'

	test treat2=treat3
	estadd scalar p2_p3						r(p)
	eststo table`j'_`i'
	
	sum 									knowledge_score_fu if treatment_group==4
	estadd scalar mean=						r(mean)
	eststo	table`j'_`i'

	
	esttab 	table`j'_* using "$tables\Table_A5_Impacts_secondary_4g.tex", ///
			replace stats(N mean p1_p2, labels("Observations" "Control mean" "P-val t1=t2") ///
			fmt(0 2 2 2)) booktabs b(2) se(2) eqlabels(none) label starlevels( * 0.10 ** 0.05 *** 0.01) ///
			substitute("0.0010" "0.01" "-0.00" "0.00") ///
			mgroups("\textbf{Inputs}" "\textbf{Capital}" "\textbf{Practices}" "\textbf{Knowledge}", pattern(1 0 0 0 1 0 0 1 1) ///
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
			mtitles( "\makecell{\text{Inputs} \\ {Index} \\ {(SD)}}" /// 
					 "\makecell{\text{Number of} \\ {employees}}" ///
					 "\makecell{\text{Number of} \\ {hours worked}} " ///
					 "\makecell{\text{Number of} \\ {hours open}}" ///
					 "\makecell{\text{Capital} \\ {Index} \\ {(SD)}}" /// 
					 "\makecell{\text{Business assets}  \\ {(USD)}}" ///
					 "\makecell{\text{Made investments} \\  {(Yes 1; No 0)}}" ///
					 "\makecell{\text{Business practice score} \\  {(over 8 items)}}" ///
					 "\makecell{\text{Knowledge score} \\  {(over 3 items)}}" ) ///
			nonotes keep(treat*) 

	est drop *

	****************************************************************************
	*Table A6. Impact on Primary outcomes - without controls
	****************************************************************************

	local 	j=												 1
	local 	i=												 1
	local 	a=												 1
	local 	num: 											 list sizeof global(primary_short)
	display `num'

	foreach var in $primary_short {	
	eststo	table`j'_`i': 					reg `var'_fu treatpool1 treatpool2 i.rand_round, robust
	
	test treatpool1=treatpool2
	estadd scalar p1_p2						r(p)
	eststo table`j'_`i'

	sum 									`var'_fu if treatment_group_pooled==3
	estadd scalar mean=						r(mean)
	eststo	table`j'_`i'
			
			
	local 	i=								 `i'+1
	local	a=								 `a'+1
	}	
	
	esttab 	table`j'_* using "$tables\Table_A6_Impacts_primary_nocontrol.tex", `esttaboptions' ///
			mgroups("\textbf{Survival}" "\textbf{Performance}" , pattern(1 1 0 0 0 0) ///
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
			mtitles( "\makecell{\text{Business was operating} \\ {at follow-up} \\ {(Yes 1; No 0)}}" ///
					 "\makecell{\text{Profits and sales} \\ {Index} \\ {(SD)}}" ///
					 "\makecell{\text{Last month's profit} \\ {Main business} \\ {(USD)}}" ///
					 "\makecell{\text{Last month's profit} \\ {Main and secondary business} \\ {(USD)}}" ///
					 "\makecell{\text{Last month's revenues}  \\ {Main business} \\ {(USD)}}" ///
					 "\makecell{\text{Last month's revenues}  \\ {Main and secondary business} \\ {(USD)}}") ///
				nonotes keep(treat*) 

	est drop *
	

	****************************************************************************
	*Table A7 Impact on Secondary outcomes, without controls 
	****************************************************************************
	local 	j=												 1
	local 	i=												 1
	local 	a=												 1
	local 	num: 											 list sizeof global(secondary_short)
	display `num'
									
	foreach var in $secondary_short {		
											
	eststo	table`j'_`i': 					reg `var'_fu treatpool1 treatpool2 i.rand_round, robust
	
	test treatpool1=treatpool2
	estadd scalar p1_p2						r(p)
	eststo table`j'_`i'
	
	sum 									`var'_fu if treatment_group_pooled==3
	estadd scalar mean=						r(mean)
	eststo	table`j'_`i'
			
			
	local 	i=								 `i'+1
	local	a=								 `a'+1
	}	
	
	eststo	table`j'_`i': 					reg knowledge_score_fu treatpool1 treatpool2 i.rand_round , robust
	
	
	test treatpool1=treatpool2
	estadd scalar p1_p2						r(p)
	eststo table`j'_`i'
	
	sum 									knowledge_score_fu if treatment_group_pooled==3
	estadd scalar mean=						r(mean)
	eststo	table`j'_`i'

	
	esttab 	table`j'_* using "$tables\Table_A7_Impacts_secondary_nocontrol.tex", `esttaboptions' ///
			mgroups("\textbf{Inputs}" "\textbf{Capital}" "\textbf{Practices}" "\textbf{Knowledge}", pattern(1 0 0 0 1 0 0 1 1) ///
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
			mtitles( "\makecell{\text{Inputs} \\ {Index} \\ {(SD)}}" /// 
					 "\makecell{\text{Number of} \\ {employees}}" ///
					 "\makecell{\text{Number of}  \\ {hours worked}} " ///
					 "\makecell{\text{Number of} \\ {hours open}}" ///
					  "\makecell{\text{Capital} \\ {Index} \\ {(SD)}}" ///
					 "\makecell{\text{Business assets}  \\ {(USD)}}" ///
					 "\makecell{\text{Made investments} \\  {(Yes 1; No 0)}}" ///
					 "\makecell{\text{Business practice score} \\  {(Proportion)}}" ///
					 "\makecell{\text{Knowledge score} \\  {(Proportion)}}" ) ///
				nonotes keep(treat*) 

	est drop *


	****************************************************************************
	*Table A8 Impacts with exact mathcing on education
	****************************************************************************		
	preserve
	drop if treatment_group==3 //Keep only e-learning
	
	local 	j=												 1
	local 	i=												 1
	local 	a=												 1
	local 	num: 											 list sizeof global(outcomes_match)
	display `num'
	
	foreach var in $outcomes_match {
	eststo	table`j'_`i': 					  kmatch em treatpool1 post_secondary (`var'_fu) , att po vce(boot) 
	
	local 	i=								 `i'+1
	local	a=								 `a'+1
	
	}
	
	esttab 	table`j'_* using "$tables\Table_A8_Impactsmatching1.tex", replace stats(N, labels("Observations") fmt(0)) ///
			booktabs b(2) se(2) eqlabels(none) label starlevels( * 0.10 ** 0.05 *** 0.01) substitute("0.0010" "0.01" "0.00" "0.01" "-0.00" "0.00") ///
			mgroups("\textbf{Panel A: App-based training}", pattern(1 0 0 0 0 0) ///
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
			prehead("\begin{tabular}{l*{6}{c}{}} \hline\hline") ///
			mtitles("\makecell{\text{Business was operating} \\ {at follow-up} \\ {(Yes 1; No 0)}}" ///
					"\makecell{\text{Profits and sales} \\ {Index} \\ {(SD)}}" ///
					"\makecell{\text{Inputs}  \\ {Index} \\ {(SD)}}" ///
					"\makecell{\text{Capital}  \\ {Index} \\ {(SD)}}" ///
					"\makecell{\text{Business practice score} \\  {(Proportion)}}" ///
					"\makecell{\text{Knowledge score} \\  {(Proportion)}}" ) nonotes compress 
	
	
	restore 
	preserve
	drop if treatment_group<3 //Keep only in-person
	
	local 	j=												 1
	local 	i=												 1
	local 	a=												 1
	local 	num: 											 list sizeof global(outcomes_match)
	display `num'
	
	foreach var in $outcomes_match {
	eststo	table`j'_`i': 					  kmatch em treatpool2 post_secondary (`var'_fu) , att po vce(boot) 
	
	local 	i=								 `i'+1
	local	a=								 `a'+1
	
	}
	
	esttab 	table`j'_* using "$tables\Table_A8_Impactsmatching2.tex", replace fragment stats(N, labels("Observations") fmt(0)) ///
			booktabs b(2) se(2) eqlabels(none) label starlevels( * 0.10 ** 0.05 *** 0.01) substitute("0.0010" "0.01" "0.00" "0.01" "-0.00" "0.00") ///
			mgroups("\textbf{Panel B: In-person training}", pattern(1 0 0 0 0 0) ///
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
			mtitles("\makecell{\text{Business was operating} \\ {at follow-up} \\ {(Yes 1; No 0)}}" ///
					"\makecell{\text{Profits and sales} \\ {Index} \\ {(SD)}}" ///
					"\makecell{\text{Inputs}  \\ {Index} \\ {(SD)}}" ///
					"\makecell{\text{Capital}  \\ {Index} \\ {(SD)}}" ///
					"\makecell{\text{Business practice score} \\  {(Proportion)}}" ///
					"\makecell{\text{Knowledge score} \\  {(Proportion)}}" ) nonotes ///
			prefoot("\hline") ///
			postfoot("\hline\hline \end{tabular}") ///

	cd "${tables}" 
	panelcombine, use(Table_A8_Impactsmatching1.tex Table_A8_Impactsmatching2.tex) columncount(6) paneltitles("" "" "") save(Table_A8_Impactsmatching.tex) cleanup	
	restore
	
	****************************************************************************
	*Table A9 Analysis of attrition
	****************************************************************************
	//Generate binaries and interaction variables
	foreach var of varlist age_bl hhsize_bl w1_hh_income_bl w1_businesses_owned_bl {
		gen `var'_bin= 0 if !mi(`var')
		sum `var', d
		replace `var'_bin=1 if `var'>`r(p50)' & !mi(`var')
	}
	
	gen digital_skills_bl_bin = 0 if !mi(digital_skills_bl)
	replace digital_skills_bl_bin = 1 if digital_skills_bl>3 & !mi(digital_skills_bl)
	
	//Generate interactions
	foreach var of varlist 	age_bl_bin post_secondary children_bl hhsize_bl_bin head_bl w1_hh_income_bl_bin ///
							w1_businesses_owned_bl_bin digital_skills_bl_bin services_bl trade_bl years_operation_bl {
		forval i=1/3 {
			gen `var'xT`i'= `var'*treatpool`i'
		}
	}	
	

								
	eststo	table1: 		reg attriters_IE treatpool1 treatpool2 ///
							age_bl_bin post_secondary children_bl hhsize_bl_bin head_bl w1_hh_income_bl_bin ///
							w1_businesses_owned_bl_bin digital_skills_bl_bin services_bl trade_bl years_operation_bl ///
							age_bl_binxT1 post_secondaryxT1 children_blxT1 hhsize_bl_binxT1 head_blxT1 w1_hh_income_bl_binxT1 ///
							w1_businesses_owned_bl_binxT1 digital_skills_bl_binxT1 services_blxT1 trade_blxT1 years_operation_blxT1 ///
							age_bl_binxT2 post_secondaryxT2 children_blxT2 hhsize_bl_binxT2 head_blxT2 w1_hh_income_bl_binxT2 ///
							w1_businesses_owned_bl_binxT2 digital_skills_bl_binxT2 services_blxT2 trade_blxT2 years_operation_blxT2 , ///
							absorb(rand_round) vce(robust)
	
	sum attriters_IE if treatpool1==1
	estadd scalar app_mean = r(mean)
	eststo	table1
	
	sum attriters_IE if treatpool2==1
	estadd scalar person_mean = r(mean)
	eststo	table1
	
	sum attriters_IE if  treatment_group_pooled==3
	estadd scalar control_mean = r(mean)
	eststo	table1
	
	
	test					age_bl_binxT1=post_secondaryxT1=children_blxT1=hhsize_bl_binxT1=head_blxT1=w1_hh_income_bl_binxT1= ///
							w1_businesses_owned_bl_binxT1=digital_skills_bl_binxT1=services_blxT1=trade_blxT1=years_operation_blxT1= ///
							age_bl_binxT2=post_secondaryxT2=children_blxT2=hhsize_bl_binxT2=head_blxT2=w1_hh_income_bl_binxT2= ///
							w1_businesses_owned_bl_binxT2=digital_skills_bl_binxT2=services_blxT2=trade_blxT2=years_operation_blxT2
	estadd scalar p = r(p)
	
	
	esttab  table1 using "$tables\Table_A9_attrition.tex", replace ///
			mtitles("\makecell{Attriter (0/1)}" ) ///
			b(2) se(2) starlevels( * 0.10 ** 0.05 *** 0.01) ///
			keep(treatpool1 treatpool2) ///
			stats(N app_mean person_mean control_mean p, labels("Observations" "Attrition for App-based training" "Attrition for in-person training" "Attrition for control" "P-value varXt1=varXt2") fmt(0 2 2 2 2)) label nonotes
			
	est drop *

	
	
	****************************************************************************
	*Table A10-A12: Heterogeniety tables 
	****************************************************************************
	local   t=												 10	

	foreach x in $hetero {
	local 	j=												 1
	local 	i=												 1
	local 	a=												 1
	local 	num: 											 list sizeof global(outcomes_int)
	display `num'
									
	foreach var in $outcomes_int {	
	eststo	table`j'_`i': 					pdslasso `var'_fu treatpool1 treatpool2 `x' `x'xtreatpool1 `x'xtreatpool2  ///	
											(`var'_bl $chars $primary_bl $secondary_bl i.rand_round) , ///
											partial(`var'_bl i.rand_round) robust
		
	test treatpool1 + `x'xtreatpool1=0 
	estadd scalar p_t1_xt1					r(p)
	eststo table`j'_`i'

	test treatpool2 + `x'xtreatpool2=0
	estadd scalar p_t2_xt2					r(p)
	eststo table`j'_`i'
	
	test `x'xtreatpool1=`x'xtreatpool2
	estadd scalar p1x_p2x					r(p)
	eststo table`j'_`i'
	
	sum 									`var'_fu if treatment_group_pooled==3
	estadd scalar mean=						r(mean)
	eststo	table`j'_`i'
			
			
	local 	i=								 `i'+1
	local	a=								 `a'+1
	}	
	
	eststo	table`j'_`i': 					pdslasso knowledge_score_fu treatpool1 treatpool2 `x' `x'xtreatpool1 `x'xtreatpool2  ///	
											($chars $primary_bl $secondary_bl i.rand_round) , ///
											partial(i.rand_round) robust
	
	test treatpool1 + `x'xtreatpool1=0 
	estadd scalar p_t1_xt1					r(p)
	eststo table`j'_`i'

	test treatpool2 + `x'xtreatpool2=0
	estadd scalar p_t2_xt2					r(p)
	eststo table`j'_`i'
	
	test `x'xtreatpool1=`x'xtreatpool2
	estadd scalar p1x_p2x					r(p)
	eststo table`j'_`i'
	
	sum 									knowledge_score_fu if treatment_group_pooled==3
	estadd scalar mean=						r(mean)
	eststo	table`j'_`i'
	
	esttab 	table`j'_* using "$tables\Table_A`t'_Impactshetero_`x'.tex", `esttaboptions_interaction' nonotes ///
	keep(treat* `x' `x'xtreat*)
	
	local t= 								`t'+1
	est drop *
}
	
	
	local 	j=												 1
	local 	i=												 1
	local 	a=												 1
	local 	num: 											 list sizeof global(outcomes_int)
	display `num'
									
	foreach var in $outcomes_int {	
	eststo	table`j'_`i': 					pdslasso `var'_fu treatpool1 treatpool2 post_secondary ///
											post_secondaryxtreatpool1 post_secondaryxtreatpool2  ///	
											(`var'_bl $chars_post $primary_bl $secondary_bl i.rand_round) , ///
											partial(`var'_bl i.rand_round) robust
		
	test treatpool1 + post_secondaryxtreatpool1=0 
	estadd scalar p_t1_xt1					r(p)
	eststo table`j'_`i'

	test treatpool2 + post_secondaryxtreatpool2=0
	estadd scalar p_t2_xt2					r(p)
	eststo table`j'_`i'
	
	test post_secondaryxtreatpool1=post_secondaryxtreatpool2
	estadd scalar p1x_p2x					r(p)
	eststo table`j'_`i'

	sum 									`var'_fu if treatment_group_pooled==3
	estadd scalar mean=						r(mean)
	eststo	table`j'_`i'
			
			
	local 	i=								 `i'+1
	local	a=								 `a'+1
	}	
	
	eststo	table`j'_`i': 		pdslasso knowledge_score_fu treatpool1 treatpool2 ///
								post_secondary post_secondaryxtreatpool1 post_secondaryxtreatpool2  ///	
								($chars_post $primary_bl $secondary_bl i.rand_round) , ///
								partial(i.rand_round) robust
	test treatpool1 + post_secondaryxtreatpool1=0 
	estadd scalar p_t1_xt1					r(p)
	eststo table`j'_`i'

	test treatpool2 + post_secondaryxtreatpool2=0
	estadd scalar p_t2_xt2					r(p)
	eststo table`j'_`i'

	test post_secondaryxtreatpool1=post_secondaryxtreatpool2
	estadd scalar p1x_p2x					r(p)
	eststo table`j'_`i'
	
	sum 									knowledge_score_fu if treatment_group_pooled==3
	estadd scalar mean=						r(mean)
	eststo	table`j'_`i'
	
	esttab 	table`j'_* using "$tables\Table_A13_Impactshetero_post_secondary.tex", `esttaboptions_interaction' nonotes ///
	keep(treat* post_secondary post_secondaryxtreat*)
	
			
	est drop *	
	
	****************************************************************************
	*FIGURE A1-A2 Quantile treatment effects
	****************************************************************************
	use "$data/elearning_bl_fu_indicators.dta", clear

	local numquantiles 20
	local outcome z_profits_fu
	local treat treatpool2
	local regressors $chars
	

	cap program drop make_qreg_graph
	program define make_qreg_graph
		syntax, ///
			OUTCOME(varname) ///
			TREAT(varname) ///
			NUMQUANTILES(integer) ///
			REGRESSORS(varlist) ///
			FILENAME(string)

		// Stata color palette
		set scheme s1mono 

		mat quantiles = J(`numquantiles'+1, 1, .)
		mat lasso = J(`numquantiles'+1, 1, .)
		mat betas = J(`numquantiles'+1, 1, .)
		mat ses = J(`numquantiles'+1, 1, .)
		mat cilower = J(`numquantiles'+1, 1, .)
		mat cihigher = J(`numquantiles'+1, 1, .)

		local q_counter = 1

		local y `outcome'

		local y_base = subinstr(`"`y'"', `"_fu"', "_bl", .)  
	  
		cap confirm variable `y_base'
		if !_rc {
		
			qui sum `y_base', det
			gen `y_base'_me = `y_base'
			qui replace `y_base'_me = r(p50) if missing(`y_base'_me)

			gen `y_base'_mi = missing(`y_base')

			local y_base_cmd "`y_base'_me `y_base'_mi"
		}
		else {

			local y_base_cmd ""
		}

		pdslasso `y' `treat' (`regressors' `y_base_cmd'), partial(`y_base_cmd')
		local lasso_coef = e(b)[1,1]

		local diff = (.95 - .05) / (`numquantiles')
		disp "`diff'"

		forvalues q = .05(`diff').95 {
			disp "*******"
			disp "q: `q'"
			disp "q_counter: `q_counter'"

			mat lasso[`q_counter', 1] = `lasso_coef'
			qui qreg `y' `treat' `y_base_cmd', quantile(`q') vce(robust) 

			mat quantiles[`q_counter', 1] = `q'
			mat betas[`q_counter', 1] = _b[`treat']
			mat ses[`q_counter', 1] = _se[`treat']
			mat cilower[`q_counter', 1] = _b[`treat'] - 1.96 * _se[`treat']
			mat cihigher[`q_counter', 1] = _b[`treat'] + 1.96 * _se[`treat']

			local ++q_counter
		}

		mat all = quantiles, lasso, betas, ses, cilower, cihigher
		mat colnames all = "quantile" "lasso" "beta" "se" "cilower" "cihigher"

		cap drop quantile
		cap drop lasso 
		cap drop beta
		cap drop se
		cap drop cilower
		cap drop cihigher

		svmat all, names(col)

		local ylab `:variable label `y''
		 twoway ///
			(line beta quantile) ///
			(line cilower quantile, color(grey%30)) ///
			(line cihigher quantile, color(grey%30)) ///
			(line lasso quantile, color(red)), ///
			yline(0) ///
			legend(order(1 "Quantile treatment" 2 "Lower CI" 3 "Upper CI" 4 "ITT")) ///
			title("`ylab'")

		graph export "$tables/`filename'", replace as(png)
		graph save "$tables/`filename'", replace

	end

	label var buspractice_score_fu "Business practice score"
	global NUM_QUANTILES 20
	
	preserve
	drop if treatpool2 == 1
	make_qreg_graph, ///
		outcome(w5_mainbus_profits_fu) ///
		treat(treatpool1) ///
		numquantiles($NUM_QUANTILES) ///
		regressors($chars $primary_bl $secondary_bl) ///
		filename("quantile_reg_profits_end_app")

	make_qreg_graph, ///
		outcome(buspractice_score_fu) ///
		treat(treatpool1) ///
		numquantiles($NUM_QUANTILES) ///
		regressors($chars $primary_bl $secondary_bl) ///
		filename("quantile_reg_bus_practices_end_app")
	restore
	
	preserve
	drop if treatpool1 == 1
	make_qreg_graph, ///
		outcome(w5_mainbus_profits_fu) ///
		treat(treatpool2) ///
		numquantiles($NUM_QUANTILES) ///
		regressors($chars $primary_bl $secondary_bl) ///
		filename("quantile_reg_profits_end_person")

	make_qreg_graph, ///
		outcome(buspractice_score_fu) ///
		treat(treatpool2) ///
		numquantiles($NUM_QUANTILES) ///
		regressors($chars $primary_bl $secondary_bl) ///
		filename("quantile_reg_bus_practices_end_person")
	restore
	
	graph combine  /// 
    "$tables/quantile_reg_profits_end_app" ///
    "$tables/quantile_reg_bus_practices_end_app",  cols(2) 
	graph export "$tables/Fig_A1_quantile_reg_app.png", replace

	graph combine ///
	"$tables/quantile_reg_profits_end_person" ///
    "$tables/quantile_reg_bus_practices_end_person", cols(2) 
	graph export "$tables/Fig_A2_quantile_reg_person.png", replace
	
	rm "$tables/quantile_reg_profits_end_app.gph"
	rm "$tables/quantile_reg_bus_practices_end_app.gph"
	rm "$tables/quantile_reg_profits_end_person.gph" 
	rm "$tables/quantile_reg_bus_practices_end_person.gph"
	rm "$tables/quantile_reg_profits_end_app"
	rm "$tables/quantile_reg_bus_practices_end_app"
	rm "$tables/quantile_reg_profits_end_person" 
	rm "$tables/quantile_reg_bus_practices_end_person"
	
	****************************************************************************
	*TABLE A14 - TABLE PREPARED BY HAND AND UPLOADED AS A PDF
	****************************************************************************
	
	****************************************************************************
	*FIGURE A3 - FIGURE PREPARED BY HAND ON EXCEL (USING THE ADMINISTRATIVE PORTAL SCREENSHOT) 
	****************************************************************************