	/*********************************************************************************************************************************
	*************************************************** The World Bank ***************************************************************
	*************************** Analysis of the impact evaluation of App-based v/s in-person business training in Ethiopia *********************************
	********************************************************* Master Do-file *********************************************************
	*********************************************************************************************************************************/


	********************************************************************************************
	*                             Housekeeping                                                 *
	********************************************************************************************

	*Author: Menaal Ebrahim

	* ============= * 
	* Preparation   *
	* ============= *

	capture log close
	drop _all
	clear all
	set more off, //permanently
	clear matrix 
	clear mata
	version 14
	cap log close
	
	set varabbrev on

	


	*****************************************************
	* Define username
	*****************************************************
	
	local user ""
	*"Your filepath to the replication folder here"  
	
	*****************************************************
	* Define filepaths
	*****************************************************

	global data = "`user'/Data"
	global do = "`user'/Do files"
	global tables = "`user'/Tables and Figures"
	sysdir set PLUS "`user'/ado"



	*if needed install the necessary commands
	local commands = "winsor mat2txt estout ietoolkit kmatch ritest moremata ivreg2 ranktest"
	foreach c of local commands {
		*ssc uninstall `c'
		qui capture which `c' 
		qui if _rc!=0 {
			noisily di "This command requires '`c''. The package will now be downloaded and installed."
			ssc install `c'
		}
	}
	
	net install pdslasso, ///
	from("https://raw.githubusercontent.com/statalasso/pdslasso/master/pdslasso_v13") replace
		
	net install sg97_5, ///
	from("http://www.stata-journal.com/software/sj12-4") replace 
	
	net install st0085_2, ///
	from("http://www.stata-journal.com/software/sj14-2") replace 
	
	net install lassopack, ///
	from("http://fmwww.bc.edu/RePEc/bocode/l") replace 



	********************************************************************************************
	*                             Run Do Files                                                 *
	********************************************************************************************
	********************************************************************************************
	do "$do\clean.do"
	do "$do\analysis.do"
	do "$do\appendix.do"
